CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-2938 (1 public exploit)

Directory traversal vulnerability in Apache Tomcat 4.1.0 through 4.1.37, 5.5.0 through 5.5.26, and 6.0.0 through 6.0.16, when allowLinking and UTF-8 are enabled, allows remote attackers to read arbitrary files via encoded directory traversal sequences in the URI, a different vulnerability than CVE-2008-2370. NOTE: versions earlier than 6.0.18 were reported affected, but the vendor advisory lists 6.0.16 as the last affected version.
Publish Date : 2008-08-12 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Directory traversal
CWE ID 22

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2008-07-19 2008-08-11
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2008-2938 oval:org.opensuse.security:def:20082938 unix
Directory traversal vulnerability in Apache Tomcat 4.1.0 through 4.1.37, 5.5.0 through 5.5.26, and 6.0.0 through 6.0.16,... oval:org.mitre.oval:def:10587 unix
ELSA-2008:0648: tomcat security update (Important) oval:org.mitre.oval:def:21729 unix
RHSA-2008:0648: tomcat security update (Important) oval:com.redhat.rhsa:def:20080648 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2008-2938

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Tomcat 6.0.0 Version Details Vulnerabilities
2 Application Apache Tomcat 6.0.1 Version Details Vulnerabilities
3 Application Apache Tomcat 6.0.2 Version Details Vulnerabilities
4 Application Apache Tomcat 6.0.3 Version Details Vulnerabilities
5 Application Apache Tomcat 6.0.4 Version Details Vulnerabilities
6 Application Apache Tomcat 6.0.5 Version Details Vulnerabilities
7 Application Apache Tomcat 6.0.6 Version Details Vulnerabilities
8 Application Apache Tomcat 6.0.7 Version Details Vulnerabilities
9 Application Apache Tomcat 6.0.8 Version Details Vulnerabilities
10 Application Apache Tomcat 6.0.9 Version Details Vulnerabilities
11 Application Apache Tomcat 6.0.10 Version Details Vulnerabilities
12 Application Apache Tomcat 6.0.11 Version Details Vulnerabilities
13 Application Apache Tomcat 6.0.12 Version Details Vulnerabilities
14 Application Apache Tomcat 6.0.13 Version Details Vulnerabilities
15 Application Apache Tomcat 6.0.14 Version Details Vulnerabilities
16 Application Apache Tomcat 6.0.15 Version Details Vulnerabilities
17 Application Apache Software Foundation Tomcat 6.0.16 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Tomcat 16
Apache Software Foundation Tomcat 1

- References For CVE-2008-2938

http://lists.apple.com/archives/security-announce/2008/Oct/msg00001.html
APPLE APPLE-SA-2008-10-09
http://lists.opensuse.org/opensuse-security-announce/2008-09/msg00004.html
SUSE SUSE-SR:2008:018
http://secunia.com/advisories/31865
SECUNIA 31865
http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00002.html
SUSE SUSE-SR:2009:004
http://marc.info/?l=bugtraq&m=123376588623823&w=2
HP SSRT090005
http://secunia.com/advisories/31639
SECUNIA 31639
http://secunia.com/advisories/31891
SECUNIA 31891
http://secunia.com/advisories/31982
SECUNIA 31982
http://secunia.com/advisories/32120
SECUNIA 32120
http://secunia.com/advisories/32222
SECUNIA 32222
http://secunia.com/advisories/37297
SECUNIA 37297
http://secunia.com/advisories/33797
SECUNIA 33797
http://secunia.com/advisories/32266
SECUNIA 32266
http://securityreason.com/securityalert/4148
SREASON 4148
http://support.apple.com/kb/HT3216 CONFIRM
http://support.avaya.com/elmodocs2/security/ASA-2008-401.htm CONFIRM
http://www.redhat.com/support/errata/RHSA-2008-0864.html
REDHAT RHSA-2008:0864
http://www.redhat.com/support/errata/RHSA-2008-0862.html
REDHAT RHSA-2008:0862
http://www.redhat.com/support/errata/RHSA-2008-0648.html
REDHAT RHSA-2008:0648
Exploit! http://www.milw0rm.com/exploits/6229
MILW0RM 6229
http://www.mandriva.com/security/advisories?name=MDVSA-2008:188
MANDRIVA MDVSA-2008:188
http://www.frsirt.com/english/advisories/2009/0320
VUPEN ADV-2009-0320
http://www.frsirt.com/english/advisories/2008/2823
VUPEN ADV-2008-2823
http://www.frsirt.com/english/advisories/2008/2780
VUPEN ADV-2008-2780
http://www.frsirt.com/english/advisories/2008/2343
VUPEN ADV-2008-2343
http://tomcat.apache.org/security-5.html CONFIRM
http://tomcat.apache.org/security-4.html CONFIRM
http://www.securityfocus.com/bid/30633
BID 30633 Multiple Java Runtime Implementations UTF-8 Input Validation Vulnerability Release Date:2012-09-25
http://www.securityfocus.com/archive/1/archive/1/507729/100/0/threaded
BUGTRAQ 20091107 ToutVirtual VirtualIQ Multiple Vulnerabilities
http://www.securityfocus.com/archive/1/archive/1/495318/100/0/threaded
BUGTRAQ 20080811 Apache Tomcat <= 6.0.18 UTF8 Directory Traversal Vulnerability
http://www.securenetwork.it/ricerca/advisory/download/SN-2009-02.txt
http://www.securityfocus.com/bid/31681
BID 31681 RETIRED: Apple Mac OS X 2008-007 Multiple Security Vulnerabilities Release Date:2009-03-24
http://www.securitytracker.com/id?1020665
SECTRACK 1020665
http://xforce.iss.net/xforce/xfdb/44411
XF tomcat-allowlinking-utf8-directory-traversal(44411)
https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00712.html
FEDORA FEDORA-2008-7977
https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00859.html
FEDORA FEDORA-2008-8113
https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00889.html
FEDORA FEDORA-2008-8130
http://tomcat.apache.org/security-6.html CONFIRM
http://www.kb.cert.org/vuls/id/343355
CERT-VN VU#343355

- Metasploit Modules Related To CVE-2008-2938

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.